package net.astah.stpa.stamp.ui.control;

import net.astah.stpa.stamp.ControlLink;
import net.astah.stpa.stamp.Link;
import net.astah.stpa.stamp.STAMPFactory;
import net.astah.stpa.stamp.Signal;

/**
 * コントロールアクションを追加するコマンドです。
 */
public class AddControlActionCommand extends AddSignalCommand {

    @Override
    protected Signal createSignal() {
        return STAMPFactory.eINSTANCE.createControlAction();
    }

    @Override
    protected Class<? extends Link> getLinkType() {
        return ControlLink.class;
    }

}