package net.astah.stpa.stamp.ui.control.mode;

import org.eclipse.emf.ecore.EObject;

import net.astah.dd.di.Diagram;
import net.astah.golf.widget.CPopupMenu;
import net.astah.jomt.jcontrol.mode.ProjectViewMode;
import net.astah.stpa.stamp.Component;
import net.astah.stpa.stamp.notation.ComponentExtractingTable;

/**
 * プロジェクトビューを表示するための Mode です。
 */
public class STAMPProjectViewMode extends ProjectViewMode {
    @Override
    protected CPopupMenu getDiagramPopupMenu(Diagram o) {
        if (o instanceof ComponentExtractingTable) {
            return projectView.getPopup("projectview.popupmenu.component_extracting_table");
        }
        return super.getDiagramPopupMenu(o);
    }

    @Override
    protected CPopupMenu getPopupMenu(EObject o) {
        if (o instanceof Component) {
            return projectView.getPopup("projectview.popupmenu.component");
        }
        return super.getPopupMenu(o);
    }
}
