package net.astah.stpa.stamp.ui.view.proptab;

import net.astah.jomt.jview.proptab.ModelTabGroup;

/**
 * コンポーネントのプロパティペインを実装します。
 */
public class STAMPComponentPane extends ModelTabGroup {

    private static final long serialVersionUID = 261452100203772629L;
    private STAMPComponentBaseTab baseTab = null;
    private STAMPProcessModelTab processModelTab = null;
    private STAMPComponentControlActionTab controlActionTab = null;
    private STAMPComponentFeedbackTab feedbackTab = null;

    public STAMPComponentPane() {
        baseTab = new STAMPComponentBaseTab();
        addModelTab(baseTab);
        processModelTab = new STAMPProcessModelTab();
        addModelTab(processModelTab);
        controlActionTab = new STAMPComponentControlActionTab();
        addModelTab(controlActionTab);
        feedbackTab = new STAMPComponentFeedbackTab();
        addModelTab(feedbackTab);
    }

}
