package net.astah.stpa.stamp.ui.control;

import net.astah.stpa.stamp.FeedbackLink;
import net.astah.stpa.stamp.Link;
import net.astah.stpa.stamp.STAMPFactory;
import net.astah.stpa.stamp.Signal;

/**
 * フィードバックを追加するコマンドです。
 */
public class AddFeedbackCommand extends AddSignalCommand {

    @Override
    protected Signal createSignal() {
        return STAMPFactory.eINSTANCE.createFeedback();
    }

    @Override
    protected Class<? extends Link> getLinkType() {
        return FeedbackLink.class;
    }

}