package net.astah.stpa.stamp.ui.table;

import javax.swing.table.TableCellRenderer;

import org.eclipse.emf.common.notify.AdapterFactory;

import net.astah.golf.view.swing.IPropertySourceProvider;
import net.astah.table.ui.swing.GenericTableColumnProvider;

/**
 * STPA 汎用テーブル向けの {@link GenericTableColumnProvider} 実装です。
 */
public class STPAGenericTableColumnProvider extends GenericTableColumnProvider {

    public STPAGenericTableColumnProvider() {
        super();
    }

    public STPAGenericTableColumnProvider(final AdapterFactory adapterFactory) {
        super(adapterFactory);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected TableCellRenderer createCellRenderer(
            final TuplePropertyColumnDescriptor columnDescriptor,
            final IPropertySourceProvider propertySourceProvider) {
        return new UndoSafeColumnCellRenderer(columnDescriptor, propertySourceProvider);
    }

}
